Set tags for a zone-level resource
Creates or updates tags for a specific zone-level resource. Replaces all existing tags for the resource.
Security
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
X-Auth-Email: user@example.comThe previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194ParametersExpand Collapse
ZoneTagUpdateParams = ResourceTaggingSetTagsRequestZoneLevelBase | ResourceTaggingSetTagsRequestZoneLevelAccessApplicationPolicy
ZoneTagUpdateParamsBase { zone_id, resource_id, resource_type, 2 more }
resource_type: "api_gateway_operation" | "custom_certificate" | "custom_hostname" | 7 moreBody param: Enum for base zone-level resource types (those with no extra required fields).
Body param: Enum for base zone-level resource types (those with no extra required fields).
Body param: Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Header param: ETag value for optimistic concurrency control. When provided, the server will verify the current resource ETag matches before applying the write. Returns 412 Precondition Failed if the resource has been modified since the ETag was obtained. Omit this header for unconditional writes.
ReturnsExpand Collapse
ZoneTagUpdateResponse = ResourceTaggingTaggedResourceObjectAccessApplication { id, etag, name, 3 more } | ResourceTaggingTaggedResourceObjectAccessApplicationPolicy { id, access_application_id, etag, 5 more } | ResourceTaggingTaggedResourceObjectAccessGroup { id, etag, name, 3 more } | 40 moreResponse for access_application resources
Response for access_application resources
ResourceTaggingTaggedResourceObjectAccessApplication { id, etag, name, 3 more } Response for access_application resources
Response for access_application resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectAccessApplicationPolicy { id, access_application_id, etag, 5 more } Response for access_application_policy resources
Response for access_application_policy resources
Access application ID is required only for access_application_policy resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectAccessGroup { id, etag, name, 3 more } Response for access_group resources
Response for access_group resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectAccessServiceToken { id, etag, name, 3 more } Response for access_service_token resources
Response for access_service_token resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectAccount { id, etag, name, 3 more } Response for account resources
Response for account resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectAccountRuleset { id, etag, name, 3 more } Response for account_ruleset resources
Response for account_ruleset resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectAIGateway { id, etag, name, 3 more } Response for ai_gateway resources
Response for ai_gateway resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectAlertingPolicy { id, etag, name, 3 more } Response for alerting_policy resources
Response for alerting_policy resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectAlertingWebhook { id, etag, name, 3 more } Response for alerting_webhook resources
Response for alerting_webhook resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectAPIGatewayOperation { id, etag, name, 4 more } Response for api_gateway_operation resources
Response for api_gateway_operation resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectCloudflaredTunnel { id, etag, name, 3 more } Response for cloudflared_tunnel resources
Response for cloudflared_tunnel resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectCustomCertificate { id, etag, name, 4 more } Response for custom_certificate resources
Response for custom_certificate resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectCustomHostname { id, etag, name, 4 more } Response for custom_hostname resources
Response for custom_hostname resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectCwsDeployment { id, etag, name, 3 more } Response for cws_deployment resources
Response for cws_deployment resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectCwsPolicy { id, etag, name, 3 more } Response for cws_policy resources
Response for cws_policy resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectCwsPolicySet { id, etag, name, 3 more } Response for cws_policy_set resources
Response for cws_policy_set resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectCwsWorkload { id, etag, name, 3 more } Response for cws_workload resources
Response for cws_workload resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectD1Database { id, etag, name, 3 more } Response for d1_database resources
Response for d1_database resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectDevice { id, etag, name, 3 more } Response for device resources
Response for device resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectDNSRecord { id, etag, name, 4 more } Response for dns_record resources
Response for dns_record resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectDurableObjectNamespace { id, etag, name, 3 more } Response for durable_object_namespace resources
Response for durable_object_namespace resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectGatewayList { id, etag, name, 3 more } Response for gateway_list resources
Response for gateway_list resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectGatewayRule { id, etag, name, 3 more } Response for gateway_rule resources
Response for gateway_rule resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectHealthcheck { id, etag, name, 4 more } Response for healthcheck resources
Response for healthcheck resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectImage { id, etag, name, 3 more } Response for image resources
Response for image resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectInfrastructureTarget { id, etag, name, 3 more } Response for infrastructure_target resources
Response for infrastructure_target resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectKVNamespace { id, etag, name, 3 more } Response for kv_namespace resources
Response for kv_namespace resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectLoadBalancer { id, etag, name, 4 more } Response for load_balancer resources
Response for load_balancer resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectLoadBalancerMonitor { id, etag, name, 3 more } Response for load_balancer_monitor resources
Response for load_balancer_monitor resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectLoadBalancerPool { id, etag, name, 3 more } Response for load_balancer_pool resources
Response for load_balancer_pool resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectManagedClientCertificate { id, etag, name, 4 more } Response for managed_client_certificate resources
Response for managed_client_certificate resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectPagesProject { id, etag, name, 3 more } Response for pages_project resources
Response for pages_project resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectQueue { id, etag, name, 3 more } Response for queue resources
Response for queue resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectR2Bucket { id, etag, name, 3 more } Response for r2_bucket resources
Response for r2_bucket resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectResourceShare { id, etag, name, 3 more } Response for resource_share resources
Response for resource_share resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectStreamLiveInput { id, etag, name, 3 more } Response for stream_live_input resources
Response for stream_live_input resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectStreamVideo { id, etag, name, 3 more } Response for stream_video resources
Response for stream_video resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectVectorizeIndex { id, etag, name, 3 more } Response for vectorize_index resources
Response for vectorize_index resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectWorker { id, etag, name, 3 more } Response for worker resources
Response for worker resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectWorkerRoute { id, etag, name, 4 more } Response for worker_route resources
Response for worker_route resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectWorkerVersion { id, etag, name, 4 more } Response for worker_version resources
Response for worker_version resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectZone { id, etag, name, 4 more } Response for zone resources
Response for zone resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
ResourceTaggingTaggedResourceObjectZoneRuleset { id, etag, name, 4 more } Response for zone_ruleset resources
Response for zone_ruleset resources
ETag identifier for optimistic concurrency control. Formatted as “v1:
Contains key-value pairs of tags. Keys may contain at most 256 characters. Values may contain at most 1024 characters and may be empty for key-only tags.
Monotonic version of the resource’s tags: the timestamp assigned when the tags were last written. Returned by read endpoints, by 2PC prepare (the version that will be assigned on commit, unless a concurrent write lands first, in which case a newer version is assigned), and by 2PC commit (the authoritative committed version). Omitted for untagged resources and delete commits: a deleted resource has no current version, and deletions are ordered by event order rather than by version.
Set tags for a zone-level resource
import Cloudflare from 'cloudflare';
const client = new Cloudflare({
apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});
const zoneTag = await client.resourceTagging.zoneTags.update({
zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
resource_id: '023e105f4ecef8ad9ca31a8372d0c353',
resource_type: 'zone',
});
console.log(zoneTag);{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"etag": "v1:RBNvo1WzZ4oRRq0W9-hkng",
"name": "my-worker-script",
"tags": {
"environment": "production",
"team": "engineering"
},
"type": "access_application",
"tags_updated_at": "2024-01-15T10:30:00Z"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "023e105f4ecef8ad9ca31a8372d0c353",
"etag": "v1:RBNvo1WzZ4oRRq0W9-hkng",
"name": "my-worker-script",
"tags": {
"environment": "production",
"team": "engineering"
},
"type": "access_application",
"tags_updated_at": "2024-01-15T10:30:00Z"
}
}